SolidWorks机械工程师网——最大的SolidWorks学习平台

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 20461|回复: 51
打印 上一主题 下一主题

宏-按顺序特征重命名

  [复制链接]

9

主题

36

帖子

112

金币

天使

Rank: 2Rank: 2

积分
219
QQ
跳转到指定楼层
楼主
发表于 2018-6-8 09:18:35 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式

   经典图书
以前搞过一个宏是英文名改中文的,有网友问能不能按顺序特征重命名.正好下载了一个,供大家分享.其中的语名值得学习
    'PYCZT2018/5/26下载于https://www.codestack.net
    'This macro renames all the features in active model in the order, preserving the base names.
    '该宏按顺序重命名活动模型中的所有特征名,保留原基本名称。
    'Only indices are renamed and the base name is preserved. For example Sketch21 will be renamed to Sketch1 for
    'the first appearance of the sketch feature.
    '只有索引被重命名,基本名称被保留。例如,对于草图特性的第一次出现,Sketch 21将被重命名为Sketch 1.


    'Notes注意事项:
    '1.Only features with number at the end will be renamed (e.g. Front Plane will not be renamed to Front Plane1 and My1Feature will not be renamed)
    '只在结尾处有编号的特征将被重命名(例如,Front Plane不会被重命名为Front Plane1,以及My1Feature也不会被重命名)
    '2.Case is ignored (case insensitive search)
    '大小写是忽略的
    '3.Only modelling features are renamed (the ones created after the Origin feature)
    '只重命名建模用的特征名(在原点特征之后的)

    '*****************************************************************

    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2

    Sub main()

    Set swApp = Application.SldWorks

    Set swModel = swApp.ActiveDoc

    Dim passedOrigin As Boolean
    passedOrigin = False

    If Not swModel Is Nothing Then

    Dim featNamesTable As Object
    Dim processedFeats As Collection

    Set featNamesTable = CreateObject("Scripting.Dictionary")
    Set processedFeats = New Collection

    featNamesTable.CompareMode = vbTextCompare 'case insensitive

    Dim swFeat As SldWorks.Feature
    Set swFeat = swModel.FirstFeature

    While Not swFeat Is Nothing

    If passedOrigin Then

    If Not Contains(processedFeats, swFeat) Then
    processedFeats.Add swFeat
    RenameFeature swFeat, featNamesTable
    End If

    Dim swSubFeat As SldWorks.Feature
    Set swSubFeat = swFeat.GetFirstSubFeature

    While Not swSubFeat Is Nothing

    If Not Contains(processedFeats, swSubFeat) Then
    processedFeats.Add swSubFeat
    RenameFeature swSubFeat, featNamesTable
    End If

    Set swSubFeat = swSubFeat.GetNextSubFeature

    Wend

    End If

    If swFeat.GetTypeName2() = "OriginProfileFeature" Then
    passedOrigin = True
    End If

    Set swFeat = swFeat.GetNextFeature
    Wend

    Else
    MsgBox "Please open model"
    End If

    End Sub

    Sub RenameFeature(feat As SldWorks.Feature, featNamesTable As Object)

    Dim regEx As Object
    Set regEx = CreateObject("VBScript.RegExp")

    regEx.Global = True
    regEx.IgnoreCase = True
    regEx.Pattern = "(.+?)(d+)$"

    Dim regExMatches As Object
    Set regExMatches = regEx.Execute(feat.Name)

    If regExMatches.Count = 1 Then

    If regExMatches(0).SubMatches.Count = 2 Then

    Dim baseFeatName As String
    baseFeatName = regExMatches(0).SubMatches(0)

    Dim nextIndex As Integer

    If featNamesTable.Exists(baseFeatName) Then
    nextIndex = featNamesTable.item(baseFeatName) + 1
    featNamesTable.item(baseFeatName) = nextIndex
    Else
    nextIndex = 1
    featNamesTable.Add baseFeatName, nextIndex
    End If
    feat.Name = baseFeatName & nextIndex
    End If
    End If

    End Sub

    Function Contains(coll As Collection, item As Object) As Boolean

    Dim i As Integer

    For i = 1 To coll.Count
    If coll.item(i) Is item Then
    Contains = True
    Exit Function
    End If
    Next

    Contains = False

    End Function

复制代码
分享到:  QQ好友和群QQ好友和群 QQ空间QQ空间 腾讯微博腾讯微博 腾讯朋友腾讯朋友
收藏收藏2 转播转播 分享教程|习题|模型|技巧 点赞点赞 拍砖拍砖
SolidWorks机械工程师网
提示:建议使用谷歌浏览器浏览本网站!如单击这里下载!否则,可能无法下载附件文件!(支持大多数版本的谷歌浏览器,支持360和QQ浏览器的极速模式,即谷歌内核模式,使用IE和Edge浏览器,浏览个别网页以及下载文件时,会误报“***不安全”,此时需要单击“继续访问此不安全站点(不推荐)”才可以继续下载,另外,本网站不含任何不安全的文件,已联系微软公司解决,纯属IE和Edge浏览器误报)
回复

使用道具 举报

4

主题

26

帖子

23

金币

天使

Rank: 2Rank: 2

积分
93
QQ
推荐
发表于 2018-6-10 03:40:01 | 只看该作者
以下代码我在简体系统下,控制面板中修改了语言区域导出,看能不能转换正常。
    'PYCZT2018/5/26下载于https://www.codestack.net,2018/6/11修改
    'This macro renames all the features in active model in the order, preserving the base names.
    '该宏按顺序重命名活动模型中的所有特征名,保留原基本名称。
    'Only indices are renamed and the base name is preserved. For example Sketch21 will be renamed to Sketch1 for
    'the first appearance of the sketch feature.
    '只有索引被重命名,基本名称被保留。例如,对于第一次出现的草图特性Sketch21将被重命名为Sketch1.


    'Notes注意事项:
    '1.Only features with number at the end will be renamed (e.g. Front Plane will not be renamed to Front Plane1 and My1Feature will not be renamed)
    '只在结尾处有编号的特征将被重命名(例如,Front Plane不会被重命名为Front Plane1,以及My1Feature也不会被重命名)---因为正则表达式为开始(任意字符)(任意数字)结束
    '2.Case is ignored (case insensitive search)
    '大小写是忽略的
    '3.Only modelling features are renamed (the ones created after the Origin feature)
    '只重命名建模用的特征名(在原点特征之后的)

    '*****************************************************************

    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2

    Sub main()

        Set swApp = Application.SldWorks
       
        Set swModel = swApp.ActiveDoc
       
        Dim passedOrigin As Boolean    '定义一个过原点的逻辑变量
        passedOrigin = False
       
        If Not swModel Is Nothing Then
       
            Dim featNamesTable As Object
            Dim processedFeats As Collection    ' 定义为记录集合类(Collection)。
            
            Set featNamesTable = CreateObject("Scripting.Dictionary")   '变量为字典Dictionary对象
            Set processedFeats = New Collection
            
            featNamesTable.CompareMode = vbTextCompare '比较模式为字符串(不分大小写)
            
            Dim swFeat As SldWorks.Feature
            Set swFeat = swModel.FirstFeature
            
            While Not swFeat Is Nothing
                
                If passedOrigin Then
                
                Debug.Print swFeat.Name
                   
                    If Not Contains(processedFeats, swFeat) Then '比对特征记录集合与特征
                        processedFeats.Add swFeat   '将特征增加到记录集合中
                        RenameFeature swFeat, featNamesTable   '改名子程序
                    End If
                   
                    Dim swSubFeat As SldWorks.Feature
                    Set swSubFeat = swFeat.GetFirstSubFeature   '子特征
                   
                    While Not swSubFeat Is Nothing
                        
                        If Not Contains(processedFeats, swSubFeat) Then
                            processedFeats.Add swSubFeat
                            RenameFeature swSubFeat, featNamesTable
                        End If
                        
                        Set swSubFeat = swSubFeat.GetNextSubFeature
                        
                    Wend
                
                End If
                
                If swFeat.GetTypeName2() = "OriginProfileFeature" Then
                    OriginName = swFeat.Name   '预留原点特征名,以后使用
                    passedOrigin = True
                End If
                
                Set swFeat = swFeat.GetNextFeature
            Wend
            
        '以下语名为已顺序的特征名去除后缀$
        Set swFeat = swModel.FeatureByName(OriginName)
        While Not swFeat Is Nothing
        Set swFeat = swFeat.GetNextFeature
        If Not swFeat Is Nothing Then
        If Right(swFeat.Name, 1) = "[        DISCUZ_CODE_0        ]quot; Then swFeat.Name = Left(swFeat.Name, Len(swFeat.Name) - 1)   '去除后缀$
        End If
        Wend
          
            
        Else
            MsgBox "Please open model请打开模型文件"
        End If

    End Sub

    Sub RenameFeature(feat As SldWorks.Feature, featNamesTable As Object)

        Dim regEx As Object
        Set regEx = CreateObject("VBScript.RegExp")   '创建正则表达式(RegEx)对象
       
        regEx.Global = True       '设置全程匹配
        regEx.IgnoreCase = True   '设置忽略区分大小写
        regEx.Pattern = "(.+?)(d+)[        DISCUZ_CODE_0        ]quot;    '设置正则表达式:开始(任意字符)(任意数字)结束
       
        Dim regExMatches As Object
        Set regExMatches = regEx.Execute(feat.Name)   '用于对指定正则表达式进行匹配检测,其值返回一个Matches集合,其中
                                       '包含了所有检测到匹配的Match对象。如果没有检测到任何匹配则返回一个空的Matches集合
       
        If regExMatches.Count = 1 Then
       
        Debug.Print regExMatches(0)
            
            If regExMatches(0).SubMatches.Count = 2 Then    'SubMatches数量为2,说明符合正则表达式
            ' SubMatches 集合包含了单个的子匹配字符串,只能用 RegExp 对象的 Execute 方法创建。
             'SubMatches 集合的属性是只读的。运行一个正则表达式时,当圆括号中捕捉到子表达式时可以有零个或多个子匹配。
             'SubMatches 集合中的每一项是由正则表达式找到并捕获的的字符串。
                
                Dim baseFeatName As String
                baseFeatName = regExMatches(0).SubMatches(0)  '取正则表达式的第一个子匹配字符串,也就是基本特征名
                'Debug.Print baseFeatName
                Dim nextIndex As Integer
                
                If featNamesTable.Exists(baseFeatName) Then    '如果指定的键(基本特征名)存在,返回True,否则返回False,
                    nextIndex = featNamesTable.item(baseFeatName) + 1    'Items() 返回该键的条目数,增1
                    featNamesTable.item(baseFeatName) = nextIndex   '将条目数赋值,即特征顺序号
                Else
                    nextIndex = 1
                    featNamesTable.Add baseFeatName, nextIndex     '增加键到字典Dictionary,条目数为1
                End If
                feat.Name = baseFeatName & nextIndex & "[        DISCUZ_CODE_0        ]quot;    '原宏没有增加$后缀,可能造成改名失败
                Debug.Print "已改名为:" & feat.Name
            End If
        End If

    End Sub

    Function Contains(coll As Collection, item As Object) As Boolean   '(比对processedFeats特征记录集合与swFeat是否相同,以免子特征改名重复)
       
        Dim i As Integer
        Debug.Print "特征记录集合数量为" & coll.Count  '记录集合数量
        For i = 1 To coll.Count
            Debug.Print "比对" & item.Name & "   " & i
            Debug.Print
            If coll.item(i) Is item Then '记录中特征相同
                Contains = True
                Exit Function
            End If
            
        Next
       
        Contains = False
       
    End Function

复制代码
SolidWorks机械工程师网
提示:建议使用谷歌浏览器浏览本网站!如单击这里下载!否则,可能无法下载附件文件!(支持大多数版本的谷歌浏览器,支持360和QQ浏览器的极速模式,即谷歌内核模式,使用IE和Edge浏览器,浏览个别网页以及下载文件时,会误报“***不安全”,此时需要单击“继续访问此不安全站点(不推荐)”才可以继续下载,另外,本网站不含任何不安全的文件,已联系微软公司解决,纯属IE和Edge浏览器误报)
回复 支持 1 反对 0

使用道具 举报

2

主题

31

帖子

12

金币

混混

Rank: 1

积分
61
QQ
推荐
发表于 2018-6-9 05:31:52 | 只看该作者

   经典图书
下载来试验了一下,运行该宏既不报错,也不改名,没任何反应。
SolidWorks机械工程师网
回复 支持 1 反对 0

使用道具 举报

3

主题

32

帖子

22

金币

天使

Rank: 2Rank: 2

积分
80
QQ
地板
发表于 2018-6-8 14:17:03 | 只看该作者
謝謝分享,學習了!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

6

主题

27

帖子

130

金币

侠客

Rank: 3Rank: 3Rank: 3

积分
210
QQ
5#
发表于 2018-6-8 18:34:23 | 只看该作者

   经典案例图书
学习一下,谢谢楼主分享!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

8

主题

28

帖子

46

金币

天使

Rank: 2Rank: 2

积分
131
QQ
6#
发表于 2018-6-9 03:23:44 | 只看该作者
是啥意思呢?看不懂,能说明下功能嘛?
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

32

帖子

53

金币

天使

Rank: 2Rank: 2

积分
125
QQ
7#
发表于 2018-6-9 08:50:39 | 只看该作者

   经典案例图书
试验一下,对中文特征名是改名不理想.理想改名如下


SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

8

主题

32

帖子

39

金币

天使

Rank: 2Rank: 2

积分
133
QQ
8#
发表于 2018-6-9 10:22:41 | 只看该作者
2012版測試正常,謝謝 .


SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

4

主题

32

帖子

29

金币

天使

Rank: 2Rank: 2

积分
88
QQ
9#
发表于 2018-6-9 11:10:13 | 只看该作者
如圖所示,請教是用什麼樣的簡体字型,用簡繁轉譯有些字型還是沒轉成!

SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

29

帖子

112

金币

天使

Rank: 2Rank: 2

积分
191
QQ
10#
发表于 2018-6-10 00:21:27 | 只看该作者

   经典图书
感谢分享
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

33

帖子

60

金币

天使

Rank: 2Rank: 2

积分
129
QQ
11#
发表于 2018-6-10 02:23:32 | 只看该作者
原宏有缺陷,修改过的应该OK了,增加注释,供大家一起学习
    'PYCZT2018/5/26下载于https://www.codestack.net,2018/6/11修改
    'This macro renames all the features in active model in the order, preserving the base names.
    '该宏按顺序重命名活动模型中的所有特征名,保留原基本名称。
    'Only indices are renamed and the base name is preserved. For example Sketch21 will be renamed to Sketch1 for
    'the first appearance of the sketch feature.
    '只有索引被重命名,基本名称被保留。例如,对于第一次出现的草图特性Sketch21将被重命名为Sketch1.


    'Notes注意事项:
    '1.Only features with number at the end will be renamed (e.g. Front Plane will not be renamed to Front Plane1 and My1Feature will not be renamed)
    '只在结尾处有编号的特征将被重命名(例如,Front Plane不会被重命名为Front Plane1,以及My1Feature也不会被重命名)---因为正则表达式为开始(任意字符)(任意数字)结束
    '2.Case is ignored (case insensitive search)
    '大小写是忽略的
    '3.Only modelling features are renamed (the ones created after the Origin feature)
    '只重命名建模用的特征名(在原点特征之后的)

    '*****************************************************************

    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2

    Sub main()

        Set swApp = Application.SldWorks
       
        Set swModel = swApp.ActiveDoc
       
        Dim passedOrigin As Boolean    '定义一个过原点的逻辑变量
        passedOrigin = False
       
        If Not swModel Is Nothing Then
       
            Dim featNamesTable As Object
            Dim processedFeats As Collection    ' 定义为记录集合类(Collection)。
            
            Set featNamesTable = CreateObject("Scripting.Dictionary")   '变量为字典Dictionary对象
            Set processedFeats = New Collection
            
            featNamesTable.CompareMode = vbTextCompare '比较模式为字符串(不分大小写)
            
            Dim swFeat As SldWorks.Feature
            Set swFeat = swModel.FirstFeature
            
            While Not swFeat Is Nothing
                
                If passedOrigin Then
                
                Debug.Print swFeat.Name
                   
                    If Not Contains(processedFeats, swFeat) Then '比对特征记录集合与特征
                        processedFeats.Add swFeat   '将特征增加到记录集合中
                        RenameFeature swFeat, featNamesTable   '改名子程序
                    End If
                   
                    Dim swSubFeat As SldWorks.Feature
                    Set swSubFeat = swFeat.GetFirstSubFeature   '子特征
                   
                    While Not swSubFeat Is Nothing
                        
                        If Not Contains(processedFeats, swSubFeat) Then
                            processedFeats.Add swSubFeat
                            RenameFeature swSubFeat, featNamesTable
                        End If
                        
                        Set swSubFeat = swSubFeat.GetNextSubFeature
                        
                    Wend
                
                End If
                
                If swFeat.GetTypeName2() = "OriginProfileFeature" Then
                    OriginName = swFeat.Name   '预留原点特征名,以后使用
                    passedOrigin = True
                End If
                
                Set swFeat = swFeat.GetNextFeature
            Wend
            
        '以下语名为已顺序的特征名去除后缀$
        Set swFeat = swModel.FeatureByName(OriginName)
        While Not swFeat Is Nothing
        Set swFeat = swFeat.GetNextFeature
        If Not swFeat Is Nothing Then
        If Right(swFeat.Name, 1) = "$" Then swFeat.Name = Left(swFeat.Name, Len(swFeat.Name) - 1)   '去除后缀$
        End If
        Wend
          
            
        Else
            MsgBox "Please open model请打开模型文件"
        End If

    End Sub

    Sub RenameFeature(feat As SldWorks.Feature, featNamesTable As Object)

        Dim regEx As Object
        Set regEx = CreateObject("VBScript.RegExp")   '创建正则表达式(RegEx)对象
       
        regEx.Global = True       '设置全程匹配
        regEx.IgnoreCase = True   '设置忽略区分大小写
        regEx.Pattern = "(.+?)(d+)$"    '设置正则表达式:开始(任意字符)(任意数字)结束
       
        Dim regExMatches As Object
        Set regExMatches = regEx.Execute(feat.Name)   '用于对指定正则表达式进行匹配检测,其值返回一个Matches集合,其中
                                       '包含了所有检测到匹配的Match对象。如果没有检测到任何匹配则返回一个空的Matches集合
       
        If regExMatches.Count = 1 Then
       
        Debug.Print regExMatches(0)
            
            If regExMatches(0).SubMatches.Count = 2 Then    'SubMatches数量为2,说明符合正则表达式
            ' SubMatches 集合包含了单个的子匹配字符串,只能用 RegExp 对象的 Execute 方法创建。
             'SubMatches 集合的属性是只读的。运行一个正则表达式时,当圆括号中捕捉到子表达式时可以有零个或多个子匹配。
             'SubMatches 集合中的每一项是由正则表达式找到并捕获的的字符串。
                
                Dim baseFeatName As String
                baseFeatName = regExMatches(0).SubMatches(0)  '取正则表达式的第一个子匹配字符串,也就是基本特征名
                'Debug.Print baseFeatName
                Dim nextIndex As Integer
                
                If featNamesTable.Exists(baseFeatName) Then    '如果指定的键(基本特征名)存在,返回True,否则返回False,
                    nextIndex = featNamesTable.item(baseFeatName) + 1    'Items() 返回该键的条目数,增1
                    featNamesTable.item(baseFeatName) = nextIndex   '将条目数赋值,即特征顺序号
                Else
                    nextIndex = 1
                    featNamesTable.Add baseFeatName, nextIndex     '增加键到字典Dictionary,条目数为1
                End If
                feat.Name = baseFeatName & nextIndex & "$"    '原宏没有增加$后缀,可能造成改名失败
                Debug.Print "已改名为:" & feat.Name
            End If
        End If

    End Sub

    Function Contains(coll As Collection, item As Object) As Boolean   '(比对processedFeats特征记录集合与swFeat是否相同,以免子特征改名重复)
       
        Dim i As Integer
        Debug.Print "特征记录集合数量为" & coll.Count  '记录集合数量
        For i = 1 To coll.Count
            Debug.Print "比对" & item.Name & "   " & i
            Debug.Print
            If coll.item(i) Is item Then '记录中特征相同
                Contains = True
                Exit Function
            End If
            
        Next
       
        Contains = False
       
    End Function

复制代码
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

38

帖子

31

金币

天使

Rank: 2Rank: 2

积分
120
QQ
12#
发表于 2018-6-10 18:32:48 | 只看该作者
還是不行,如圖就可.

SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

9

主题

41

帖子

50

金币

天使

Rank: 2Rank: 2

积分
139
QQ
13#
发表于 2018-6-10 19:54:02 | 只看该作者
UTF-8格式的请试下

UTF-8.rar (2.54 KB, 下载次数: 202)
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

6

主题

33

帖子

52

金币

天使

Rank: 2Rank: 2

积分
126
QQ
14#
发表于 2018-6-10 21:54:49 | 只看该作者
也不行!

謝謝pyczt大大一再提供資料測試,
也知道了碰到這樣問題,可以直接copy譯成繁体再丟進VBA.
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

31

帖子

57

金币

天使

Rank: 2Rank: 2

积分
126
QQ
15#
发表于 2018-6-10 23:20:10 | 只看该作者
加入QQ群
参与讨论和学习

SolidWorks技术交流群

或扫描二维码加入

请教这是什么工具,是否这工具的问题。
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

4

主题

28

帖子

26

金币

天使

Rank: 2Rank: 2

积分
82
QQ
16#
发表于 2018-6-11 10:33:12 | 只看该作者

   经典案例图书
convertz802.zip (772.5 KB, 下载次数: 80) 繁簡字轉譯

謝謝關心,如上參考一直以來都是用這軟件解決VBA的繁簡字亂碼.
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

20

帖子

50

金币

天使

Rank: 2Rank: 2

积分
114
QQ
17#
发表于 2018-6-11 14:43:37 | 只看该作者
加入QQ群
参与讨论和学习

SolidWorks技术交流群

或扫描二维码加入

试过这工具,没有问题呀!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

8

主题

31

帖子

46

金币

天使

Rank: 2Rank: 2

积分
136
QQ
18#
发表于 2018-6-11 15:31:35 | 只看该作者

   经典案例图书
是的COPY直接轉譯沒問題,
之前傻傻的COPY到VBA後再轉譯就不成,
但是之前也都是COPY諸大的宏到VBA後再轉譯都行(如12#),
所以才好奇想知道P大是用了什麼字型.
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

8

主题

37

帖子

120

金币

侠客

Rank: 3Rank: 3Rank: 3

积分
215
QQ
19#
发表于 2018-6-12 02:44:25 | 只看该作者
如何使用?还有这是什么软件用的啊?
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

30

帖子

21

金币

天使

Rank: 2Rank: 2

积分
66
QQ
20#
发表于 2018-6-12 15:28:51 | 只看该作者
特来支持
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

SOLIDWORKS 2023 机械设计从入门到精通

手机版|小黑屋| GMT+8, 2025-5-23 18:52 , Processed in 0.273888 second(s), 25 queries , Memcache On.

SolidWorks机械工程师网 ( 鲁ICP备14025122号-2 ) 鲁公网安备 37028502190335号

声明:本网言论纯属发表者个人意见,与本网立场无关。
如涉版权,可发邮件: admin@swbbsc.com

快速回复 返回顶部 返回列表